> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data shares engine info

> Get data shares engine information, such as a REST API URL and a token endpoint.



## OpenAPI

````yaml get /api/data_shares/engine/info
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/data_shares/engine/info:
    get:
      tags:
        - Data shares
      summary: Get data shares engine info
      description: >-
        Get data shares engine information, such as a REST API URL and a token
        endpoint.
      operationId: get_data_shares_engine_info_api_data_shares_engine_info_get
      responses:
        '200':
          description: Data Shares Engine info retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataSharesEngineInfo'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - insufficient permissions.
        '404':
          description: Client not found.
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DataSharesEngineInfo:
      properties:
        rest_api_url:
          type: string
          title: Rest Api Url
          description: The REST API URL of the Tenant Specific data shares engine.
        rest_api_url_metastore:
          type: string
          title: Rest Api Url Metastore
          description: The REST API URL of the shared metastore data shares engine.
        token_endpoint:
          type: string
          title: Token Endpoint
          description: The token endpoint for authentication.
        direct_client_id:
          type: string
          title: Direct Client Id
          description: >-
            Public OpenID client ID for the direct-grant flow, used to generate
            a user-specific JWT named `gravitino-{env}-direct`.
      type: object
      required:
        - rest_api_url
        - rest_api_url_metastore
        - token_endpoint
        - direct_client_id
      title: DataSharesEngineInfo
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````